# Unit icmp

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Driver->Net->L4->`ICMP` - Internet Control Message Protocol Driver,

## Uses

- bios_data_area
- lmemorymanager
- net
- nettypes
- netutils
- ipv4
- console
- terminal
- arp
- util

## Overview

### Classes, Interfaces, Objects and Records

Name | Description
--- | ---
Record `TARPHandler` |

### Functions and Procedures

`procedure register;`
`procedure sendICMPRequest(ip : puint8; Sequence : uint16; TTL : uint8; OnRep : TARPReplyCallback; OnErr : TARPErrorCallback);`
`procedure ping_err(hdr : PICMPHeader; Reason : TARPErrorCode);`
`procedure ping_rep(hdr : PICMPHeader);`

### Types

`TARPErrorCode = (...);`
`TARPReplyCallback = procedure(hdr : PICMPHeader);`
`TARPErrorCallback = procedure(hdr : PICMPHeader; Reason : TARPErrorCode);`

## Description

### Functions and Procedures

`procedure register;`

`procedure sendICMPRequest(ip : puint8; Sequence : uint16; TTL : uint8; OnRep : TARPReplyCallback; OnErr : TARPErrorCallback);`

`procedure ping_err(hdr : PICMPHeader; Reason : TARPErrorCode);`

`procedure ping_rep(hdr : PICMPHeader);`

### Types

`TARPErrorCode = (...);`

###### Values

- aecFailedToResolveHost
- aecNoRouteToHost
- aecTimeout
- aecTTLExpired

`TARPReplyCallback = procedure(hdr : PICMPHeader);`

`TARPErrorCallback = procedure(hdr : PICMPHeader; Reason : TARPErrorCode);`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.